### Method

# Vips Image set_array_double

#### Declaration [src]

    void
    vips_image_set_array_double (
      VipsImage* image,
      const char* name,
      const double* array,
      int n
    )

#### Description [src]

Attaches `array` as a metadata item on `image` as `name`. A convenience function over `vips_image_set()`.

See also

`vips_image_get_image()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`array`

  Type: An array of `double`

  Array of doubles.

  The argument can be `NULL`.
  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  The number of elements.